| IOFormat C# 1.8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IOFormat.StackReader Class Reference
Inheritance diagram for IOFormat.StackReader:

## Public Member Functions
| StackReader (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (StackReader obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (StackReader obj)
static ImageView | OpenImageFromPattern (string pattern, ImageDimension newDim)
| Open multiple files to stack them.
static ImageView | OpenImageFromPattern (string pattern)
| Open multiple files to stack them.
static ImageView | ReadImageFromPattern (string pattern, ImageDimension newDim)
| Stack multiple files following a pattern and load the stacked ImageView in memory.
static ImageView | ReadImageFromPattern (string pattern)
| Stack multiple files following a pattern and load the stacked ImageView in memory.
static ImageView | OpenImageFromListFile (string filePath, ImageDimension newDim)
| Stack multiple files as described in a list file.
static ImageView | OpenImageFromListFile (string filePath)
| Stack multiple files as described in a list file.
static ImageView | ReadImageFromListFile (string filePath, ImageDimension newDim)
| Stack multiple files as described in a list file and load the result in memory.
static ImageView | ReadImageFromListFile (string filePath)
| Stack multiple files as described in a list file and load the result in memory.

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Member Function Documentation

## ◆ OpenImageFromListFile() [1/2]

static ImageView IOFormat.StackReader.OpenImageFromListFile | ( | string | filePath | ) |
| inline static

Stack multiple files as described in a list file.

A list file is a file, usually with the "lst" extension, where each line is a path to a file, absolute, or relative to the list file.

Example of a list file:
.. code-block:: c++ some/path/to/a/file.ext some/other/path/to/a/file.ext ...

Parameters

  filePath | The path to the list file.

Exceptions

  Error | if a file from the list is not found
  Error | if stacking failed

Returns
  An ImageView built by stacking all the images in the list file.

## ◆ OpenImageFromListFile() [2/2]

static ImageView IOFormat.StackReader.OpenImageFromListFile | ( | string | filePath,
|  | ImageDimension | newDim
| ) |  |
| inline static

Stack multiple files as described in a list file.

A list file is a file, usually with the "lst" extension, where each line is a path to a file, absolute, or relative to the list file.

Example of a list file:
.. code-block:: c++ some/path/to/a/file.ext some/other/path/to/a/file.ext ...

Parameters

  filePath | The path to the list file.
  newDim | The interpretation of the stacking dimension.

Exceptions

  Error | if a file from the list is not found
  Error | if stacking failed

Returns
  An ImageView built by stacking all the images in the list file.

## ◆ OpenImageFromPattern() [1/2]

static ImageView IOFormat.StackReader.OpenImageFromPattern | ( | string | pattern | ) |
| inline static

Open multiple files to stack them.

The pattern must be written using the character "*" as a wildcard for any number of characters. The wildcard must only be present on the last segment of the path, the filename part.

Example:

`/some/dir/img_*.png` will load all files following this pattern, ands stack them, using lexicographic order.

As there is no dimension specified in this version, the ImageType of the output image will be ImageTYpeId::UNKNOWN

Parameters

  pattern | The pattern to use to open files.

Exceptions

  Error | if stacking failed

Returns
  An ImageView containing the images loaded using the pattern, and stacked.

## ◆ OpenImageFromPattern() [2/2]

static ImageView IOFormat.StackReader.OpenImageFromPattern | ( | string | pattern,
|  | ImageDimension | newDim
| ) |  |
| inline static

Open multiple files to stack them.

The pattern must be written using the character "*" as a wildcard for any number of characters. The wildcard must only be present on the last segment of the path, the filename part.

Example:

`/some/dir/img_*.png` will load all files following this pattern, ands stack them, using lexicographic order.

Parameters

  pattern | The pattern to use to open files.
  newDim | The interpretation of the stacking dimension.

Exceptions

  Error | if stacking failed

Returns
  An ImageView containing the images loaded using the pattern, and stacked.

## ◆ ReadImageFromListFile() [1/2]

static ImageView IOFormat.StackReader.ReadImageFromListFile | ( | string | filePath | ) |
| inline static

Stack multiple files as described in a list file and load the result in memory.

A list file is a file, usually with the "lst" extension, where each line is a path to a file, absolute, or relative to the list file.

Example of a list file:
.. code-block:: c++ some/path/to/a/file.ext some/other/path/to/a/file.ext ...

Parameters

  filePath | The path to the list file.

Exceptions

  Error | if a file from the list is not found
  Error | if stacking failed

Returns
  An ImageView built by stacking all the images in the list file and loading it in memory.

## ◆ ReadImageFromListFile() [2/2]

static ImageView IOFormat.StackReader.ReadImageFromListFile | ( | string | filePath,
|  | ImageDimension | newDim
| ) |  |
| inline static

Stack multiple files as described in a list file and load the result in memory.

A list file is a file, usually with the "lst" extension, where each line is a path to a file, absolute, or relative to the list file.

Example of a list file:
.. code-block:: c++ some/path/to/a/file.ext some/other/path/to/a/file.ext ...

Parameters

  filePath | The path to the list file.
  newDim | The interpretation of the stacking dimension.

Exceptions

  Error | if a file from the list is not found
  Error | if stacking failed

Returns
  An ImageView built by stacking all the images in the list file and loading it in memory.

## ◆ ReadImageFromPattern() [1/2]

static ImageView IOFormat.StackReader.ReadImageFromPattern | ( | string | pattern | ) |
| inline static

Stack multiple files following a pattern and load the stacked ImageView in memory.

The pattern must be written using the character "*" as a wildcard for any number of characters. The wildcard must only be present on the last segment of the path, the filename part.

The stack will be loaded in memory after construction.

Example:

`/some/dir/img_*.png` will load all files following this pattern, ands stack them, using lexicographic order.

As there is no dimension specified in this version, the ImageType of the output image will be ImageTYpeId::UNKNOWN

Parameters

  pattern | The pattern to use to open files.

Exceptions

  Error | if stacking failed

Returns
  An ImageView containing the images opened using the pattern, stacked, and loaded in memory.

## ◆ ReadImageFromPattern() [2/2]

static ImageView IOFormat.StackReader.ReadImageFromPattern | ( | string | pattern,
|  | ImageDimension | newDim
| ) |  |
| inline static

Stack multiple files following a pattern and load the stacked ImageView in memory.

The pattern must be written using the character "*" as a wildcard for any number of characters. The wildcard must only be present on the last segment of the path, the filename part.

The stack will be loaded in memory after construction.

Example:

`/some/dir/img_*.png` will load all files following this pattern, ands stack them, using lexicographic order.

Parameters

  pattern | The pattern to use to open files.
  newDim | The interpretation of the stacking dimension.

Exceptions

  Error | if stacking failed

Returns
  An ImageView containing the images opened using the pattern, stacked, and loaded in memory.

The documentation for this class was generated from the following file:

- Release/net/generated/StackReader.cs